# build the test lib for this Ruby version
system('make -f libtest/GNUmakefile') or raise("Failed to build test library")

require 'rspec/autorun'
Dir.glob('spec/*/*_spec.rb').each do |spec|
  require spec
end

# cleanup test library
require 'fileutils'
